[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.DoIdleActions

Updates all Actions and hides splash screens.

## Declaration

Source position: forms.pp line 1588

`protected procedure TApplication.DoIdleActions;`

## Description

DoIdleActions ensures that the UpdateActions method is called for visible and enabled forms in the application. This allows the TBasicAction instances in menus and controls on each form to be updated as well.

DoIdleActions hides any form instance in Screen which uses fsSplash in its FormStyle property.

DoIdleActions is called from the Idle method after OnIdle and other idle event handlers have been signalled and indicated that they have been completed successfully.